<?php
date_default_timezone_set('America/Lima');

class cCanchapos{
	
	function filtrar($pisid){
	$sql="SELECT * FROM tb_cancha me inner JOIN
	tb_piso sa on sa.tb_piso_id = me.tb_salon_id
	where me.tb_cancha_xac = '1'
	";
	if($pisid!="")	$sql = $sql." and me.tb_salon_id = '$pisid' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}


 function insertar($fec,$fecforini,$horforini,$tie,$hor_ini,$hor_fin,$des,$cli_nom,$cli_tel,$est,$can_id,$timeini,$timefin,$pre_tot){
		$now =  date('Y-m-d h:i:s a');	
		$sql = "INSERT INTO tb_separacioncancha(
		tb_separacioncancha_fecreg, 
		tb_separacioncancha_fec, 
		tb_separacioncancha_fecforini, 
		tb_separacioncancha_horforini, 
		tb_separacioncancha_tiemin, 
		tb_separacioncancha_horaini,
		tb_separacioncancha_horafin, 
		tb_separacioncancha_des,
		tb_cliente_nom,
		tb_cliente_tel,
		tb_separacioncancha_est,
		tb_cancha_id,
		tb_separacioncancha_horainitime,
		tb_separacioncancha_horafintime,
		tb_separacioncancha_ade
		) 
		VALUES ('$now','$fec','$fecforini','$horforini','$tie','$hor_ini','$hor_fin','$des','$cli_nom','$cli_tel','$est','$can_id','$timeini','$timefin','$pre_tot')";		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

 function modificar($sepcan_id,$cli_nom,$cli_tel,$fecforini,$horforini,$tie,$hor_ini,$hor_fin,$des,$pre_tot){ 
		$sql = "UPDATE tb_separacioncancha SET 
		tb_cliente_nom='$cli_nom',
		tb_cliente_tel='$cli_tel',
		tb_separacioncancha_fecforini='$fecforini',
		tb_separacioncancha_horforini='$horforini',
		tb_separacioncancha_tiemin='$tie',
		tb_separacioncancha_horaini='$hor_ini',
		tb_separacioncancha_horafin='$hor_fin',
		tb_separacioncancha_des='$des',
		tb_separacioncancha_ade='$pre_tot'
		WHERE tb_separacioncancha_id = '$sepcan_id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst; 
	}
	
	function mostrarTodos_separaciones($cancha_id){		
		$sql = "SELECT * FROM tb_separacioncancha sc
		WHERE sc.tb_separacioncancha_xac = '1' ";
			if($cancha_id!="")	$sql = $sql." and sc.tb_cancha_id = '$cancha_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	

 function mostrarUno($sepcan_id){		
		$sql = "SELECT * FROM tb_separacioncancha sc
		inner join tb_cancha can on can.tb_cancha_id = sc.tb_cancha_id
		WHERE sc.tb_separacioncancha_id = '$sepcan_id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
 function verReserva($timehorini,$timehorfin,$can_id){		
		$sql = "SELECT * FROM tb_separacioncancha WHERE  tb_separacioncancha_xac = '1' and tb_cancha_id ='$can_id' 
		and tb_separacioncancha_horainitime <= '$timehorini' and tb_separacioncancha_horafintime >= '$timehorini'
		or tb_separacioncancha_horainitime <= '$timehorfin' and tb_separacioncancha_horafintime >= '$timehorfin' and tb_separacioncancha_xac = '1' and tb_cancha_id ='$can_id'  ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

 function eliminar($id){
		$sql = "UPDATE tb_separacioncancha SET
		tb_separacioncancha_xac =  '0' 
		WHERE tb_separacioncancha_id ='$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_separacioncancha SET
		`tb_separacioncancha_$campo` =  '$valor' 
		WHERE tb_separacioncancha_id ='$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	

}

?>